<?php

use Twig\Environment;
use Twig\Error\LoaderError;
use Twig\Error\RuntimeError;
use Twig\Markup;
use Twig\Sandbox\SecurityError;
use Twig\Sandbox\SecurityNotAllowedTagError;
use Twig\Sandbox\SecurityNotAllowedFilterError;
use Twig\Sandbox\SecurityNotAllowedFunctionError;
use Twig\Source;
use Twig\Template;

/* shellcommand-form-edit.twig */
class __TwigTemplate_5589c4ce0a49e3060a4957e5a4e3a9dee3c2762a35748c37b88c3fb2278491af extends \Twig\Template
{
    public function __construct(Environment $env)
    {
        parent::__construct($env);

        $this->blocks = [
            'formTitle' => [$this, 'block_formTitle'],
            'formHtml' => [$this, 'block_formHtml'],
        ];
    }

    protected function doGetParent(array $context)
    {
        // line 22
        return "form-base.twig";
    }

    protected function doDisplay(array $context, array $blocks = [])
    {
        // line 23
        $context["forms"] = $this->loadTemplate("forms.twig", "shellcommand-form-edit.twig", 23)->unwrap();
        // line 22
        $this->parent = $this->loadTemplate("form-base.twig", "shellcommand-form-edit.twig", 22);
        $this->parent->display($context, array_merge($this->blocks, $blocks));
    }

    // line 25
    public function block_formTitle($context, array $blocks = [])
    {
        // line 26
        echo "    ";
        echo __("Edit Shell Command");
    }

    // line 29
    public function block_formHtml($context, array $blocks = [])
    {
        // line 30
        echo "    <div class=\"row\">
        <ul class=\"nav nav-tabs\" role=\"tablist\">
            <li class=\"active\"><a href=\"#general\" role=\"tab\" data-toggle=\"tab\"><span>";
        // line 32
        echo __("General");
        echo "</span></a></li>
            <li><a href=\"#configurationTab\" role=\"tab\" data-toggle=\"tab\"><span>";
        // line 33
        echo __("Configuration");
        echo "</span></a></li>
        </ul>
        <div class=\"col-md-12\">
            <form id=\"shellCommandEditForm\" class=\"XiboForm form-horizontal\" method=\"put\" action=\"";
        // line 36
        echo twig_escape_filter($this->env, $this->env->getExtension('Slim\Views\TwigExtension')->urlFor("module.widget.edit", ["id" => $this->getAttribute($this->getAttribute(($context["module"] ?? null), "widget", []), "widgetId", [])]), "html", null, true);
        echo "\">
                <div class=\"tab-content\">
                    <div class=\"tab-pane active\" id=\"general\">
                        ";
        // line 39
        ob_start(function () { return ''; });
        echo __("Name");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 40
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("An optional name for this widget");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 41
        echo "                        ";
        echo $context["forms"]->getinput("name", ($context["title"] ?? null), $this->getAttribute(($context["module"] ?? null), "getOption", [0 => "name"], "method"), ($context["helpText"] ?? null));
        echo "

                        ";
        // line 43
        ob_start(function () { return ''; });
        echo __("Set a duration?");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 44
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Select to provide a specific duration for this Widget");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 45
        echo "                        ";
        echo $context["forms"]->getcheckbox("useDuration", ($context["title"] ?? null), $this->getAttribute(($context["module"] ?? null), "getUseDuration", [], "method"), ($context["helpText"] ?? null));
        echo "

                        ";
        // line 47
        ob_start(function () { return ''; });
        echo __("Duration");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 48
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("The duration in seconds this should be displayed");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 49
        echo "                        ";
        echo $context["forms"]->getnumber("duration", ($context["title"] ?? null), $this->getAttribute(($context["module"] ?? null), "getDuration", [], "method"), ($context["helpText"] ?? null), "duration-fields", "required");
        echo "

                        ";
        // line 51
        ob_start(function () { return ''; });
        echo __("Terminate the command once the duration elapses?");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 52
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Should the player forcefully terminate the command after the duration specified. Leave unchecked to let the command terminate naturally.");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 53
        echo "                        ";
        echo $context["forms"]->getcheckbox("terminateCommand", ($context["title"] ?? null), $this->getAttribute(($context["module"] ?? null), "getOption", [0 => "terminateCommand"], "method"), ($context["helpText"] ?? null), "duration-fields");
        echo "

                        ";
        // line 55
        ob_start(function () { return ''; });
        echo __("Use taskkill to terminate commands?");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 56
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("On Windows, should the player use taskkill to terminate commands.");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 57
        echo "                        ";
        echo $context["forms"]->getcheckbox("useTaskkill", ($context["title"] ?? null), $this->getAttribute(($context["module"] ?? null), "getOption", [0 => "useTaskkill"], "method"), ($context["helpText"] ?? null), "duration-fields");
        echo "

                        ";
        // line 59
        ob_start(function () { return ''; });
        echo __("Enable Stats Collection?");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 60
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Enable the collection of Proof of Play statistics for this Widget. Ensure that ‘Enable Stats Collection’ is set to ‘On’ in the Display Settings.");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 61
        echo "
                        ";
        // line 62
        ob_start(function () { return ''; });
        echo __("Off");
        $context["offOption"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 63
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("On");
        $context["onOption"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 64
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Inherit");
        $context["inheritOption"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 65
        echo "                        ";
        $context["options"] = [0 => ["id" => "Off", "value" =>         // line 66
($context["offOption"] ?? null)], 1 => ["id" => "On", "value" =>         // line 67
($context["onOption"] ?? null)], 2 => ["id" => "Inherit", "value" =>         // line 68
($context["inheritOption"] ?? null)]];
        // line 70
        echo "                        ";
        echo $context["forms"]->getdropdown("enableStat", "single", ($context["title"] ?? null), $this->getAttribute(($context["module"] ?? null), "getOption", [0 => "enableStat", 1 => $this->getAttribute(($context["theme"] ?? null), "getSetting", [0 => "WIDGET_STATS_ENABLED_DEFAULT"], "method")], "method"), ($context["options"] ?? null), "id", "value", ($context["helpText"] ?? null));
        echo "
                    </div>

                    <div class=\"tab-pane\" id=\"configurationTab\">
                        ";
        // line 74
        ob_start(function () { return ''; });
        echo __("Stored Command");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 75
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Pick a command");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 76
        echo "                        ";
        echo $context["forms"]->getdropdown("commandCode", "single", ($context["title"] ?? null), $this->getAttribute(($context["module"] ?? null), "getOption", [0 => "commandCode"], "method"), twig_array_merge([0 => ["code" => "", "command" => ""]], ($context["commands"] ?? null)), "code", "command", ($context["helpText"] ?? null));
        echo "
                        
                        ";
        // line 78
        ob_start(function () { return ''; });
        echo __("Windows Command");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 79
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Enter a Windows Command Line compatible command");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 80
        echo "                        ";
        echo $context["forms"]->getinput("windowsCommand", ($context["title"] ?? null), $this->env->getExtension('Xibo\Twig\UrlDecodeTwigExtension')->urlDecode($this->getAttribute(($context["module"] ?? null), "getOption", [0 => "windowsCommand"], "method")), ($context["helpText"] ?? null), "non-command-fields");
        echo "

                        ";
        // line 82
        ob_start(function () { return ''; });
        echo __("Launch the command via Windows Command Line");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 83
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("On Windows, should the player launch this command through the windows command line (cmd.exe)? This is useful for batch files. If you try to terminate this command only the command line will be terminated.");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 84
        echo "                        ";
        echo $context["forms"]->getcheckbox("launchThroughCmd", ($context["title"] ?? null), $this->getAttribute(($context["module"] ?? null), "getOption", [0 => "launchThroughCmd", 1 => 1], "method"), ($context["helpText"] ?? null), "non-command-fields");
        echo "

                        ";
        // line 86
        ob_start(function () { return ''; });
        echo __("Android / Linux Command");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 87
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Enter an Android / Linux Command Line compatible command");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 88
        echo "                        ";
        echo $context["forms"]->getinput("linuxCommand", ($context["title"] ?? null), $this->env->getExtension('Xibo\Twig\UrlDecodeTwigExtension')->urlDecode($this->getAttribute(($context["module"] ?? null), "getOption", [0 => "linuxCommand"], "method")), ($context["helpText"] ?? null), "non-command-fields");
        echo "

                        ";
        // line 90
        ob_start(function () { return ''; });
        echo __("webOS Command");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 91
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Enter a webOS Command Line compatible command.");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 92
        echo "                        ";
        echo $context["forms"]->getinput("webosCommand", ($context["title"] ?? null), $this->getAttribute(($context["module"] ?? null), "getOption", [0 => "webosCommand"], "method"), ($context["helpText"] ?? null), "non-command-fields");
        echo "

                        ";
        // line 94
        ob_start(function () { return ''; });
        echo __("Tizen Command");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 95
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Enter a Tizen Command Line compatible command.");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 96
        echo "                        ";
        echo $context["forms"]->getinput("tizenCommand", ($context["title"] ?? null), $this->getAttribute(($context["module"] ?? null), "getOption", [0 => "tizenCommand"], "method"), ($context["helpText"] ?? null), "non-command-fields");
        echo "
                    </div>
                </div> 
            </form>
        </div>
    </div>
";
    }

    public function getTemplateName()
    {
        return "shellcommand-form-edit.twig";
    }

    public function isTraitable()
    {
        return false;
    }

    public function getDebugInfo()
    {
        return array (  273 => 96,  268 => 95,  264 => 94,  258 => 92,  253 => 91,  249 => 90,  243 => 88,  238 => 87,  234 => 86,  228 => 84,  223 => 83,  219 => 82,  213 => 80,  208 => 79,  204 => 78,  198 => 76,  193 => 75,  189 => 74,  181 => 70,  179 => 68,  178 => 67,  177 => 66,  175 => 65,  170 => 64,  165 => 63,  161 => 62,  158 => 61,  153 => 60,  149 => 59,  143 => 57,  138 => 56,  134 => 55,  128 => 53,  123 => 52,  119 => 51,  113 => 49,  108 => 48,  104 => 47,  98 => 45,  93 => 44,  89 => 43,  83 => 41,  78 => 40,  74 => 39,  68 => 36,  62 => 33,  58 => 32,  54 => 30,  51 => 29,  46 => 26,  43 => 25,  38 => 22,  36 => 23,  30 => 22,);
    }

    /** @deprecated since 1.27 (to be removed in 2.0). Use getSourceContext() instead */
    public function getSource()
    {
        @trigger_error('The '.__METHOD__.' method is deprecated since version 1.27 and will be removed in 2.0. Use getSourceContext() instead.', E_USER_DEPRECATED);

        return $this->getSourceContext()->getCode();
    }

    public function getSourceContext()
    {
        return new Source("", "shellcommand-form-edit.twig", "/home/mgatv524/public_html/edurocha/modules/shellcommand-form-edit.twig");
    }
}
